﻿using System;
using System.Collections.Generic;
using System.Text;

namespace InABox.Core
{
    /// <summary>
    /// Used to specify that the field is for digital forms
    /// </summary>
    public interface IDFLayoutFormField
    {
    }

    /// <summary>
    /// Used to prevent a field being able to be added to a form.
    /// </summary>
    public interface IDFLayoutObsoleteField
    {
    }

    /// <summary>
    /// Used to specify that the data for this field should be stored in <see cref="ICoreDigitalFormInstance.BlobData"/>.
    /// </summary>
    public interface IDFBlobField { }
}
