﻿using InABox.Configuration;
using InABox.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.DynamicGrid
{
    public class DynamicGridFilter : BaseObject
    {
        [EditorSequence(1)]
        [TextBoxEditor]
        public string Name { get; set; }

        [EditorSequence(2)]
        [FilterEditor]
        public string Filter { get; set; }
    }

    public class DynamicGridFilters : List<DynamicGridFilter>, IGlobalConfigurationSettings { }
}
